Bug 838796 - redundant chars in the output of 'rhc server' for windows
redundant chars in the output of 'rhc server' for windows
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 03:49 EDT by Meng Bo
Modified: 2015-05-14 22:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_207
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:47:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux_terminal (19.63 KB, image/png)
2012-07-10 06:23 EDT, Meng Bo
no flags Details
windows_cmd (18.17 KB, image/png)
2012-07-10 06:23 EDT, Meng Bo
no flags Details

  None (edit)
Description Meng Bo 2012-07-10 03:49:56 EDT
Description of problem:
Using rhc server in windows prompt, there are some redundant characters in the output.

Version-Release number of selected component (if applicable):
rhc-0.95.11

How reproducible:
always

Steps to Reproduce:
1.rhc server
2.
3.
  
Actual results:
    C:\Users\Administrator\openshifttest>rhc server
    ←[1m#26 issue1←[0m
        Opened       3:31 AM
        aaaaaaaaaaa  3:31 AM
     
    ←[33m1 open issue←[0m
     
    C:\Users\Administrator\openshifttest>rhc server
    ←[32mAll systems running fine←[0m


Expected results:
The output should be more beautiful.

Additional info:
The output under linux 
[bmeng@localhost openshift_testdir]$ rhc server
#26 issue1                                     <---- This line is bold
    Opened       3:31 AM
    aaaaaaaaaaa  3:31 AM

1 open issue                                   <---- This line is yellow
[bmeng@localhost openshift_testdir]$ rhc server
All systems running fine                       <---- This line is green
Comment 1 Meng Bo 2012-07-10 06:23:19 EDT
Created attachment 597289 [details]
linux_terminal
Comment 2 Meng Bo 2012-07-10 06:23:45 EDT
Created attachment 597290 [details]
windows_cmd
Comment 3 Meng Bo 2012-07-10 06:24:21 EDT
Add snapshots for the two platforms.
Comment 4 Clayton Coleman 2012-07-12 15:02:19 EDT
This is colors and TTY on windows... surprised that these aren't automatically excluded, cause they should be.
Comment 5 Fabiano Franz 2012-10-04 15:11:47 EDT
Fixed in the rhc refactorings.
Comment 6 Meng Bo 2012-10-08 07:07:57 EDT
Checked with rhc_fork_ami_209,

rhc server output on windows does not have the redundant strings now.

    C:\Users\Administrator\openshifttest>rhc server
    All systems running fine

Note You need to log in before you can comment on or make changes to this bug.